package com.sw.mes.sap.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.sw.mes.core.annotation.Jinko;
import com.sw.mes.core.dto.sap.ReportSapGoodsmvtDto;
import com.sw.mes.sap.dto.MblnrDataParam;

/**
 * 晶科SAP下发数据操作Service接口
 * 
 * @author liru
 * @date 2023-12-30
 */
@Jinko(value="晶科MES传输至SAP操作Service接口",author = "liru")
public interface SAPOutputServiceService
{

    JSONObject sendWorkGoodsMvtToSap(JSONArray data, ReportSapGoodsmvtDto reportSapGoodsmvtDto) throws JsonProcessingException;

    JSONObject sendWorkinghoursToSap(JSONArray items) throws JsonProcessingException;

    void sendWorkWMSBackToSap() throws JsonProcessingException;

    void sendWorkOrderConsumptionToSap() throws JsonProcessingException;

    void sendWorkOrderReceiptToSap() throws JsonProcessingException;

    void sendMaterialLossToSap() throws JsonProcessingException;

    void sendTransferSynchronizationToSap() throws JsonProcessingException;

    void sendCostCenterConsumptionToSap() throws JsonProcessingException;

    void sendReportWorkingHoursToSap() throws JsonProcessingException;

    void getFactoryFromSap() throws JsonProcessingException;

    void getMaterialGroupDataFromSap() throws JsonProcessingException;

    void getMaterialDataFromSap() throws JsonProcessingException;

    void getMaterialBatchFromSap() throws JsonProcessingException;

    void getWarehouseLocationFromSap() throws JsonProcessingException;

	void getSapStock(String lgort, String matnr) throws Exception;

	void synOrderState();

	void getMblnrDataFromSap(MblnrDataParam param);


}
